Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wli.management.configuration
Interface CacheConfigMBean

All Superinterfaces:
  weblogic.management.configuration.ConfigurationMBean, weblogic.descriptor.DescriptorBean, javax.management.DynamicMBean, javax.management.MBeanRegistration, javax.management.NotificationBroadcaster, weblogic.descriptor.SettableBean, weblogic.management.WebLogicMBean

    public interface CacheConfigMBean

extends weblogic.management.configuration.ConfigurationMBean

Field Summary
`static long` | `CACHING_STUB_SVUID`
`static String` | `TYPE`

Fields inherited from interface weblogic.management.configuration.ConfigurationMBean
`DEFAULT_EMPTY_BYTE_ARRAY`

Method Summary
`void` | `addCacheConfig(CacheConfig cacheConfig)`
`void` | `deleteCacheInstance(String cacheName, String tableName)`
`CacheConfig[]` | `doGetCacheConfigArray()`
`CacheConfig` | `getCacheConfig(String cacheName)`

Methods inherited from interface weblogic.management.configuration.ConfigurationMBean
`freezeCurrentValue, getComments, getName, getNotes, isDefaultedMBean, isPersistenceEnabled, isSet, restoreDefaultValue, setComments, setDefaultedMBean, setName, setNotes, setPersistenceEnabled, touch, unSet`

Methods inherited from interface weblogic.management.WebLogicMBean
`getMBeanInfo, getObjectName, getParent, getType, isCachingDisabled, isRegistered, setParent`

Methods inherited from interface javax.management.DynamicMBean
`getAttribute, getAttributes, invoke, setAttribute, setAttributes`

Methods inherited from interface javax.management.MBeanRegistration
`postDeregister, postRegister, preDeregister, preRegister`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Methods inherited from interface weblogic.descriptor.DescriptorBean
`addBeanUpdateListener, addPropertyChangeListener, createChildCopy, createChildCopyIncludingObsolete, getDescriptor, getParentBean, isEditable, removeBeanUpdateListener, removePropertyChangeListener`

Field Detail

### TYPE

    static final String TYPE

See Also:
  Constant Field Values

### CACHING_STUB_SVUID

    static final long CACHING_STUB_SVUID

See Also:
  Constant Field Values

Method Detail

### getCacheConfig

    CacheConfig getCacheConfig(String cacheName)

### addCacheConfig

    void addCacheConfig(CacheConfig cacheConfig)
                        throws javax.management.MBeanException

  Throws:
    `javax.management.MBeanException`

### doGetCacheConfigArray

    CacheConfig[] doGetCacheConfigArray()

### deleteCacheInstance

    void deleteCacheInstance(String cacheName,
                             String tableName)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD